/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-07 17:51
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

ll N;

void solve(){
    // Code goes here ...
    cin >> N;
    vector<ll> x(N);
    R(i, N)
        cin >> x[i];
    
    vector<ll> idx(N);
    iota(begin(idx), end(idx), 0);
    sort(begin(idx), end(idx), [&x](const ll &a, const ll &b){ return x[a] < x[b]; });

    ll curx = x[idx[0]], diff, sum = 0;
    R(i, N)
        sum += abs(curx - x[i]) + 1;

    vector<ll> res(N);
    res[idx[0]] = sum;

    F(i, 1, N){
        diff = x[idx[i]] - x[idx[i - 1]];
        sum = sum - diff * (N - i - 1) + diff * (i - 1);
        /* fprintf(stderr, "diff: %lld with idx %lld and %lld(%lld)\n", diff, idx[i-1], idx[i], N - idx[i]); */
        res[idx[i]] = sum;
    }

    R(i, N)
        cout << res[i] << " ";
    cout << endl;
}

int main(){
    /* ios_base::sync_with_stdio(false); */
    /* cout << fixed << setprecision(8); */
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
